/*
    Palette:
    #170217   Dark purple
    #420042   Russian violet
    #FDB1E4   Lavender pink
    #7A2C68   Warm mauve
    #FCF988   Icterine
    #F2EAF3   White
    #FFFFFF   White
*/

@font-face {
    font-family: text;
    src: url("fonts/DejaVuSans.ttf");
}

@font-face {
    font-family: header;
    src: url("fonts/LilitaOne-Regular.ttf");
}

/* basic stuff */

body,
h1,
h2,
h3,
a {
    text-align: center;
    z-index: 2;
    color: #F2EAF3;
    margin-top: 6px;
    margin-bottom: 4px;
}

h1,
h2,
h3,
h4,
h5,
h6,
header {
    font-family: header;
}

html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
    overflow-x: hidden;
    font-family: text;
    font-size: 16px;
}

html {
    overflow-y: hidden;
}

hr {
    margin: 0px 0px 0px 0px;
    color: #170217;
}

a {
    text-decoration: dotted underline;
    color: white;
}

button {
    background-color: #7A2C68;
    color: #F2EAF3;
    margin: 2px 6px 2px 6px;
    min-width: 60px;
    min-height: 32px;
}



/* my stuff */
.megaLeft {
    float: left;
    width: 25%;
}

.megaRight {
    float: right;
    width: 75%;
}

.gameDiv {
    text-align: center;
    margin-left: 1%;
    margin-right: 1%;
    max-width: 96%;
    opacity: 0.8;
    background-color: #420042;
    border: thick #FDB1E4;
    border-style: solid;
    margin-bottom: 20px;
}

@media only screen and (min-width: 768px) {
    .gameDiv {
        margin-left: 10%;
        margin-right: 10%;
        max-width: 80%;
    }
}

.command {
    background-color: black;
    color: limegreen;
    min-width: 96%;
    max-width: 96%;
    min-height: 96px;
    max-height: 192px;
}

.lang {
    border-radius: 4px;
    font-size: 20px;
    outline: 2px solid white;
    margin-left: 4px;
    margin-right: 4px;
}

.topNavigation {
    top: 0;
    width: 100%;
    height: 8%;
    z-index: 10;
    background-color: rgb(253, 177, 228, 0.5);
    /* FDB1E4 */
    border-bottom: 8px groove;
    border-color: #FCF988;
    color: #170217;
    font-size: 20px;
}

@media only screen and (min-width: 1200px) {
    .topNavigation {
        font-size: 20px;
    }
}

.topButton {
    position: absolute;
    height: 100%;
    width: 10%;
    margin-left: 2px;
    margin-right: 2px;
    padding-left: 2px;
    padding-right: 2px;
    border-left: 4px solid;
    border-right: 4px solid;
    border-color: #FCF988;
    background-color: #420042;
    color: white;
    white-space: nowrap;
    opacity: 100%;
    font-size: 16px;
    text-decoration: none;
}

@media only screen and (min-width: 1200px) {
    .topButton {
        font-size: 32px;
    }
}

.topName {
    float: left;
    max-width: 40%;
}

@media only screen and (min-width: 1200px) {
    .topName {
        max-width: 80%;
    }
}

.overlay {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(66, 0, 66, 0.5);
    align-items: center;
}

.gameSplitter {
    vertical-align: top;
    display: "";
    width: 100%;
}

.gameImager {
    width: 16vw;
    height: 16vw;
}

@media only screen and (min-width: 780px) {
    .gameSplitter {
        display: inline-block;
        width: 50%
    }

    .gameImager {
        width: 8vw;
        height: 8vw;
    }
}

/* particles stuff */

#particles-js {
    width: 100%;
    height: 100%;
    background-color: rgb(20, 20, 20);
    background-image: url('');
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: -1;
}

#gamecontainer {
    width: 800px;
    height: 600px;
    background-color: beige;
    border: 1px solid black;
    position: relative;
    margin: 0 auto;
}

.navButton {
    background-color: black;
    border-color: red;
    width: 90%;
    font-size: 20px;
    margin-bottom: 8px;
    transition-duration: 0.4s;
}

.navButton:hover {
    background-color: darkslategray;
    border-color: orange;
    width: 95%;
}

.limitedWidth {
    margin: auto;
    max-width: 800px;
    overflow-wrap: break-word;
}